Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardEngine

    java.lang.Object
      |
      +--org.apache.catalina.core.ContainerBase
            |
            +--org.apache.catalina.core.StandardEngine

Direct Known Subclasses:
  WarpEngine

public class StandardEngine
extends ContainerBase
implements Engine

Standard implementation of the Engine interface. Each child container must be a Host implementation to process the specific fully qualified host name of that virtual host.

Version:
  $Revision: 1.10.2.1 $ $Date: 2002/01/17 12:11:47 $
Author:
  Craig R. McClanahan

Fields inherited from class org.apache.catalina.core.ContainerBase
`children, cluster, debug, lifecycle, listeners, loader, logger, manager, mapper, mapperClass, mappers, name, parent, parentClassLoader, pipeline, realm, resources, sm, started, support`

Fields inherited from interface org.apache.catalina.Container
`ADD_CHILD_EVENT, ADD_MAPPER_EVENT, ADD_VALVE_EVENT, REMOVE_CHILD_EVENT, REMOVE_MAPPER_EVENT, REMOVE_VALVE_EVENT`

Constructor Summary
`StandardEngine()` Create a new StandardEngine component with the default basic Valve.

Method Summary
`void` | `addChild(Container child)` Add a child Container, only if the proposed child is an implementation of Host.
`void` | `addDefaultContext(DefaultContext defaultContext)` Set the DefaultContext for new web applications.
`protected void` | `addDefaultMapper(java.lang.String mapperClass)` Add a default Mapper implementation if none have been configured explicitly.
`java.lang.String` | `getDefaultHost()` Return the default host.
`java.lang.String` | `getInfo()` Return descriptive information about this Container implementation and the corresponding version number, in the format `<description>/<version>`.
`java.lang.String` | `getJvmRoute()` Retrieve the cluster-wide unique identifier for this Engine.
`java.lang.String` | `getMapperClass()` Return the default Mapper class name.
`Service` | `getService()` Return the `Service` with which we are associated (if any).
`void` | `importDefaultContext(Context context)` Import the DefaultContext config into a web application context.
`void` | `setDefaultHost(java.lang.String host)` Set the default host.
`void` | `setJvmRoute(java.lang.String jvmRouteId)` Set the cluster-wide unique identifier for this Engine.
`void` | `setMapperClass(java.lang.String mapperClass)` Set the default Mapper class name.
`void` | `setParent(Container container)` Disallow any attempt to set a parent for this Container, since an Engine is supposed to be at the top of the Container hierarchy.
`void` | `setService(Service service)` Set the `Service` with which we are associated (if any).
`void` | `start()` Start this Engine component.
`java.lang.String` | `toString()` Return a String representation of this component.

Methods inherited from class org.apache.catalina.core.ContainerBase
`addContainerListener, addLifecycleListener, addMapper, addPropertyChangeListener, addValve, findChild, findChildren, findMapper, findMappers, fireContainerEvent, getBasic, getCluster, getDebug, getLoader, getLogger, getManager, getName, getParent, getParentClassLoader, getPipeline, getRealm, getResources, getValves, invoke, log, log, logName, map, removeChild, removeContainerListener, removeLifecycleListener, removeMapper, removePropertyChangeListener, removeValve, setBasic, setCluster, setDebug, setLoader, setLogger, setManager, setName, setParentClassLoader, setRealm, setResources, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardEngine

    public StandardEngine()

  Create a new StandardEngine component with the default basic Valve.

Method Detail

### getDefaultHost

    public java.lang.String getDefaultHost()

  Return the default host.
  Specified by:
    getDefaultHost in interface Engine

### setDefaultHost

    public void setDefaultHost(java.lang.String host)

  Set the default host.
  Specified by:
    setDefaultHost in interface Engine
  Parameters:
    `host` - The new default host

### addDefaultContext

    public void addDefaultContext(DefaultContext defaultContext)

  Set the DefaultContext for new web applications.
  Specified by:
    addDefaultContext in interface Engine
  Parameters:
    `defaultContext` - The new DefaultContext

### setJvmRoute

    public void setJvmRoute(java.lang.String jvmRouteId)

  Set the cluster-wide unique identifier for this Engine. This value is only useful in a load-balancing scenario.

  This property should not be changed once it is set.

  Specified by:
    setJvmRoute in interface Engine
  Parameters:
    `jvmRouteId` - New JVM route ID

### getJvmRoute

    public java.lang.String getJvmRoute()

  Retrieve the cluster-wide unique identifier for this Engine. This value is only useful in a load-balancing scenario.
  Specified by:
    getJvmRoute in interface Engine

### getMapperClass

    public java.lang.String getMapperClass()

  Return the default Mapper class name.

### setMapperClass

    public void setMapperClass(java.lang.String mapperClass)

  Set the default Mapper class name.
  Parameters:
    `mapperClass` - The new default Mapper class name

### getService

    public Service getService()

  Return the `Service` with which we are associated (if any).
  Specified by:
    getService in interface Engine

### setService

    public void setService(Service service)

  Set the `Service` with which we are associated (if any).
  Specified by:
    setService in interface Engine
  Parameters:
    `service` - The service that owns this Engine

### importDefaultContext

    public void importDefaultContext(Context context)

  Import the DefaultContext config into a web application context.
  Specified by:
    importDefaultContext in interface Engine
  Parameters:
    `context` - web application context to import default context

### addChild

    public void addChild(Container child)

  Add a child Container, only if the proposed child is an implementation of Host.
  Overrides:
    addChild in class ContainerBase
  Parameters:
    `child` - Child container to be added

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Container implementation and the corresponding version number, in the format `<description>/<version>`.
  Overrides:
    getInfo in class ContainerBase

### setParent

    public void setParent(Container container)

  Disallow any attempt to set a parent for this Container, since an Engine is supposed to be at the top of the Container hierarchy.
  Overrides:
    setParent in class ContainerBase
  Parameters:
    `container` - Proposed parent Container

### start

    public void start()
               throws LifecycleException

  Start this Engine component.
  Overrides:
    start in class ContainerBase
  Throws:
    LifecycleException - if a startup error occurs

### toString

    public java.lang.String toString()

  Return a String representation of this component.
  Overrides:
    toString in class java.lang.Object

### addDefaultMapper

    protected void addDefaultMapper(java.lang.String mapperClass)

  Add a default Mapper implementation if none have been configured explicitly.
  Overrides:
    addDefaultMapper in class ContainerBase
  Parameters:
    `mapperClass` - The default mapper class name to add

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.